cURL
curl --request GET \
--url https://api.maesn.dev/accounting/paymentTerms/{paymentTermId} \
--header 'X-ACCOUNT-KEY: <x-account-key>' \
--header 'X-API-KEY: <x-api-key>'import requests
url = "https://api.maesn.dev/accounting/paymentTerms/{paymentTermId}"
headers = {
"X-API-KEY": "<x-api-key>",
"X-ACCOUNT-KEY": "<x-account-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-API-KEY': '<x-api-key>', 'X-ACCOUNT-KEY': '<x-account-key>'}
};
fetch('https://api.maesn.dev/accounting/paymentTerms/{paymentTermId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"meta": {
"warnings": [
"Field not used by target system"
],
"pagination": {
"total": 125,
"perPage": 50,
"currentPage": 1,
"totalPages": 3
}
},
"data": {
"id": "08d52c49-b90c-4328-b1ec-623df74f904a",
"code": "1",
"createdDate": "2021-01-01T00:00:00Z",
"description": "31 dagen",
"discountDays": 10,
"discountDays2": 14,
"discountPercentage": 5,
"discountPercentage2": 3,
"discountPeriods": [
{
"invoiceRange": "Invoice issuance range up to day 5 of the month",
"discountDeadline": "Day 15 of the current month",
"discountDeadline2": "Day 25 of the current month",
"paymentDeadline": "Day 30 of the current month"
}
],
"name": "31 DAYS",
"paymentDays": 31,
"paymentMethod": "BANK_TRANSFER",
"updatedDate": "2021-01-01T00:00:00Z"
}
}Payment Terms
Get payment term
GET
/
accounting
/
paymentTerms
/
{paymentTermId}
cURL
Field support per integration

Exact Online
Exact Online
If you’re not using the Interactive Authentication Flow, make sure the query parameter
companyId is correctly populated.
You can obtain this value by using the GET Companies endpoint available under the Authentication section.Available options:
DUE_IN_DAYSAvailable options:
CASH, BANK_TRANSFER, PAYMENT_SERVICE_PROVIDER, AUTOMATIC_BANK_WITHDRAWALLast modified on July 9, 2026
Was this page helpful?
⌘I